> For the complete documentation index, see [llms.txt](https://docs.zumrails.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zumrails.com/api-reference/credit-trade-reports.md).

# Credit Trade Reports

## Get Credit Report List

Use this endpoint to retrieve a paginated list of credit reports.

`Method: POST`

`Endpoint: {{env}}/api/creditreporting/filter`

{% tabs %}
{% tab title="Request" %}

```json
{
    "ReportId": "e6f7a8b9-...c0d1",
    "TransactionMethod": "SecuredCredit",
    "ReportingMonth": "2025-05",
    "CreatedAtFrom": "2026-05-01",
    "CreatedAtTo": "2026-07-01",
    "Pagination": {
        "PageNumber": 1,
        "ItemsPerPage": 10
    }
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "statusCode": 200,
    "message": "POST Request successful.",
    "isError": false,
    "result": {
        "CurrentPage": 1,
        "PageSize": 10,
        "TotalCount": 2,
        "Items": [
            {
                "ReportId": "d9583779-e523-4816-bc19-450edfa5077a",
                "TransactionMethod": "CreditCardIssuance",
                "ReportMonth": "202605",
                "CreatedAt": "2026-06-09T19:42:36.612431Z",
                "Status": "Completed",
                "CreditBureau": "Equifax"
            },
            {
                "ReportId": "c00c0a2e-768c-45a1-99f1-011c3ac75484",
                "TransactionMethod": "CreditCardIssuance",
                "ReportMonth": "202605",
                "CreatedAt": "2026-06-05T20:26:22.815897Z",
                "Status": "Completed",
                "CreditBureau": "Equifax"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

#### **Input Parameters**

| Parameter         | Type   | Mandatory | Description                                |
| ----------------- | ------ | --------- | ------------------------------------------ |
| ReportId          | Guid   | No        | Filter by specific report Id               |
| TransactionMethod | String | No        | Filter by card transaction method type     |
| ReportingMonth    | String | No        | Reporting month. Format: yyyyMM            |
| CreatedAtForm     | Date   | No        | Format: yyyy-MM-dd                         |
| CreatedAtTo       | Date   | No        | Format: yyyy-MM-dd                         |
| Pagination        |        | No        |                                            |
| PageNumber        | Number | No        | The respective page, starting at 1         |
| ItemsPerPage      | Number | No        | The amount of items per page between 0 and |

#### Response

| Parameter         | Type     | Description                          |
| ----------------- | -------- | ------------------------------------ |
| CurrentPage       | Number   | Current page of results              |
| PageSize          | Number   | Number of items in page requested    |
| TotalCount        | Number   | Total number of items queryable      |
| Items             |          |                                      |
| ReportId          | Guid     | Credit report Id                     |
| TransactionMethod | String   | Card transaction method type         |
| ReportingMonth    | String   | Reporting month                      |
| CreatedAt         | DateTime | Record creation timestamp            |
| Status            | String   | Report processing status             |
| CreditBureau      | String   | Credit bureau the report was sent to |

## Get Credit Reporting Records

Use this endpoint to retrieve a paginated list of individual credit reporting records for a given report.

`Method: POST`

`Endpoint: {{env}}/api/creditreporting/records/filter`

{% tabs %}
{% tab title="Request" %}

```json
{
    "ReportId": "d9583779-e523-4816-bc19-450edfa5077a",
    "UserCardId": "4dfa7bd3-d509-4ddd-83be-304153f68f4f",
    "UserId": "e9166952-34f5-4766-a9b3-ad6a794c9d96",
    "CardReferenceId": "599000314805",
    "TransactionMethod": "CreditCardIssuance",
    "ReportingMonth": "202605",
    "CreatedAtFrom": "2026-05-01",
    "CreatedAtTo": "2026-07-01",
    "CreditBureau": "Equifax",
    "Pagination": {
        "PageNumber": 1,
        "ItemsPerPage": 10
    }
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "statusCode": 200,
    "message": "POST Request successful.",
    "isError": false,
    "result": {
        "CurrentPage": 1,
        "PageSize": 10,
        "TotalCount": 2,
        "Items": [
            {
                "Id": "a13e531a-cd2e-45a2-80e3-50f82f41e57e",
                "ReportId": "6582b663-8c86-4287-8686-2885c9cbfced",
                "UserId": "e9166952-34f5-4766-a9b3-ad6a794c9d96",
                "UserCardId": "4dfa7bd3-d509-4ddd-83be-304153f68f4f",
                "CardReferenceId": "599000314805",
                "CreditBureau": "Equifax",
                "CreatedAt": "2026-06-10T23:40:02.043219Z",
                "UpdatedAt": "2026-06-10T23:40:02.043219Z",
                "ReportingMonth": "202605",
                "FirstName": "SecTwo",
                "LastName": "UserThree",
                "DateOfBirth": "20000101",
                "HouseOrBuildingNumber": "3",
                "StreetName": "User St",
                "City": "Toronto",
                "Province": "ON",
                "PostalCode": "A1A1A1",
                "AccountNumberLast4Digits": "3481",
                "EquifaxMemberNumber": "000AB00002",
                "AccountType": "CC",
                "ActualPaymentReceived": "0",
                "DateOfLastPayment": "00010101",
                "AmountPastDue": "147",
                "CreditLimit": "360",
                "CurrentBalance": "182",
                "DateAccountOpened": "20260205",
                "ExpectedPayment": "10",
                "HighestCreditUsed": "0",
                "AccountStatus": "0",
                "PaymentFrequencyType": "M"
            },
            {
                "Id": "256b333e-9a6f-4f93-97b6-ebc915832633",
                "ReportId": "6582b663-8c86-4287-8686-2885c9cbfced",
                "UserId": "c36cb51f-8b90-456d-893e-bd900898d155",
                "UserCardId": "03836ab9-eb4f-425d-a619-2f41a68965a0",
                "CardReferenceId": "599000314629",
                "CreditBureau": "Equifax",
                "CreatedAt": "2026-06-10T23:40:00.85695Z",
                "UpdatedAt": "2026-06-10T23:40:00.85695Z",
                "ReportingMonth": "202605",
                "FirstName": "SecTwo",
                "LastName": "UserTwo",
                "DateOfBirth": "20000101",
                "HouseOrBuildingNumber": "351",
                "StreetName": "Yonge St",
                "City": "Toronto",
                "Province": "ON",
                "PostalCode": "A1A1A1",
                "AccountNumberLast4Digits": "5127",
                "EquifaxMemberNumber": "000AB00002",
                "AccountType": "CC",
                "ActualPaymentReceived": "0",
                "DateOfLastPayment": "00010101",
                "AmountPastDue": "147",
                "CreditLimit": "360",
                "CurrentBalance": "182",
                "DateAccountOpened": "20260205",
                "ExpectedPayment": "10",
                "HighestCreditUsed": "0",
                "AccountStatus": "0",
                "PaymentFrequencyType": "M"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

#### **Input Parameters**

| Parameter         | Type   | Mandatory | Description                                    |
| ----------------- | ------ | --------- | ---------------------------------------------- |
| ReportId          | Guid   | Yes       | Filter by report Id                            |
| UserId            | Guid   | No        | Filter by user Id                              |
| UserCardId        | Guid   | No        | Filter by specific card Id                     |
| CardReferenceId   | Guid   | No        | Card reference number of the card              |
| TransactionMethod | String | No        | Filter by card transaction method type         |
| ReportingMonth    | String | No        | Reporting month. Format: yyyy-MM-dd or yyyyMM  |
| CreatedAtFrom     | Date   | No        | Format: yyyy-MM-dd                             |
| CreatedAtTo       | Date   | No        | Format: yyyy-MM-dd                             |
| CreditBureau      | String | No        | Filter by credit bureau name                   |
| Pagination        |        | No        |                                                |
| PageNumber        | Number | No        | The respective page, starting at 1             |
| ItemsPerPage      | Number | No        | The amount of items per page between 0 and 100 |

#### Response

| Parameter                            | Type     | Description                                           |
| ------------------------------------ | -------- | ----------------------------------------------------- |
| CurrentPage                          | Number   | Current page of results                               |
| PageSize                             | Number   | Number of items in page requested                     |
| TotalCount                           | Number   | Total number of items queryable                       |
| Items                                |          |                                                       |
| Id                                   | Guid     | Record Id                                             |
| ReportId                             | Guid     | Associated credit report Id                           |
| UserId                               | Guid     | User Id                                               |
| UserCardId                           | Guid     | Card Id                                               |
| CardReferenceId                      | String   | Card reference Id                                     |
| CreditBureau                         | String   | Credit bureau the record was reported to              |
| CreatedAt                            | DateTime | Record creation timestamp                             |
| UpdatedAt                            | DateTime | Record last updated timestamp                         |
| ReportingMonth                       | String   | Reporting month                                       |
| FirstName                            | String   | Cardholder first name                                 |
| LastName                             | String   | Cardholder last name                                  |
| DateOfBirth                          | String   | Cardholder date of birth                              |
| HouseOrBuildingNumber                | String   | Street address house/building number                  |
| StreetName                           | String   | Street name                                           |
| City                                 | String   | City                                                  |
| Province                             | String   | Province or state                                     |
| PostalCode                           | String   | Postal or zip code                                    |
| AccountNumberLast4Digits             | String   | Last 4 digits of the card account number              |
| EquifaxMemberNumber                  | String   | Equifax member number                                 |
| AccountType                          | String   | Card account type                                     |
| DateClosed                           | String   | Date the account was closed (if applicable)           |
| DateOfFirstMissedPaymentIfDelinquent | String   | Date of first missed payment if account is delinquent |
| ActualPaymentReceived                | String   | Actual payment amount received                        |
| DateOfLastPayment                    | String   | Date of most recent payment                           |
| AmountPastDue                        | String   | Amount past due                                       |
| CreditLimit                          | String   | Credit limit of the account                           |
| CurrentBalance                       | String   | Current account balance                               |
| DateAccountOpened                    | String   | Date the account was opened                           |
| ExpectedPayment                      | String   | Expected payment amount                               |
| HighestCreditUsed                    | String   | Highest credit balance used                           |
| AccountStatus                        | String   | Current account status                                |
| PaymentFrequencyType                 | String   | Payment frequency (e.g. Monthly)                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zumrails.com/api-reference/credit-trade-reports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
